clang-tools 6.0.0

Public Types | Static Public Member Functions | List of all members
llvm::DenseMapInfo< clang::tidy::cppcoreguidelines::SpecialMemberFunctionsCheck::ClassDefId > Struct Template Reference

Specialisation of DenseMapInfo to allow ClassDefId objects in DenseMaps FIXME: Move this to the corresponding cpp file as is done for clang-tidy/readability/IdentifierNamingCheck.cpp. More...

`#include <SpecialMemberFunctionsCheck.h>`

## Public Types
using | ClassDefId = clang::tidy::cppcoreguidelines::SpecialMemberFunctionsCheck::ClassDefId

## Static Public Member Functions
static ClassDefId | getEmptyKey ()
static ClassDefId | getTombstoneKey ()
static unsigned | getHashValue (ClassDefId Val)
static bool | isEqual (const ClassDefId &LHS, const ClassDefId &RHS)

## Detailed Description

### template<>
struct llvm::DenseMapInfo< clang::tidy::cppcoreguidelines::SpecialMemberFunctionsCheck::ClassDefId >

Specialisation of DenseMapInfo to allow ClassDefId objects in DenseMaps FIXME: Move this to the corresponding cpp file as is done for clang-tidy/readability/IdentifierNamingCheck.cpp.

Definition at line 69 of file SpecialMemberFunctionsCheck.h.

## Member Typedef Documentation

## ◆ ClassDefId

using llvm::DenseMapInfo< clang::tidy::cppcoreguidelines::SpecialMemberFunctionsCheck::ClassDefId >::ClassDefId = clang::tidy::cppcoreguidelines::SpecialMemberFunctionsCheck::ClassDefId

Definition at line 72 of file SpecialMemberFunctionsCheck.h.

## Member Function Documentation

## ◆ getEmptyKey()

static ClassDefId llvm::DenseMapInfo< clang::tidy::cppcoreguidelines::SpecialMemberFunctionsCheck::ClassDefId >::getEmptyKey | ( |  | ) |
| inline static

Definition at line 74 of file SpecialMemberFunctionsCheck.h.

## ◆ getHashValue()

static unsigned llvm::DenseMapInfo< clang::tidy::cppcoreguidelines::SpecialMemberFunctionsCheck::ClassDefId >::getHashValue | ( | ClassDefId | Val | ) |
| inline static

Definition at line 86 of file SpecialMemberFunctionsCheck.h.

## ◆ getTombstoneKey()

static ClassDefId llvm::DenseMapInfo< clang::tidy::cppcoreguidelines::SpecialMemberFunctionsCheck::ClassDefId >::getTombstoneKey | ( |  | ) |
| inline static

Definition at line 80 of file SpecialMemberFunctionsCheck.h.

## ◆ isEqual()

static bool llvm::DenseMapInfo< clang::tidy::cppcoreguidelines::SpecialMemberFunctionsCheck::ClassDefId >::isEqual | ( | const ClassDefId & | LHS,
|  | const ClassDefId & | RHS
| ) |  |
| inline static

Definition at line 94 of file SpecialMemberFunctionsCheck.h.

The documentation for this struct was generated from the following file:

- SpecialMemberFunctionsCheck.h